# -*- coding: utf-8 -*-

from setuptools import setup, find_packages
from turbogears.finddata import find_package_data

import os

execfile(os.path.join("uzi", "release.py"))

packages = find_packages()
package_data = find_package_data(where='uzi',
    package='uzi')
if os.path.isdir('locales'):
    packages.append('locales')
    package_data.update(find_package_data(where='locales',
        exclude=('*.po',), only_in_packages=False))

setup(
    name="UZI",
    version=version,
    description=description,
    long_descriptopn=long_description,
    author=author,
    author_email=email,
    url=url,
    download_url=download_url,
    license=license,

    paster_plugins = ["TurboGears"],
    setup_requires = ["PasteScript >= 1.7"],
    install_requires=[
        "TurboGears >= 1.5b1",
        "WebTest",
        "SQLAlchemy >= 0.4.3",
        "Elixir >= 0.6.1",
        'ToscaWidgets >= 0.9.9',
        'tw.forms >= 0.9.9',
    ],
    zip_safe=False,
    packages=packages,
    package_data=package_data,
    keywords=[
        'turbogears.app',
    ],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Framework :: TurboGears',
        'Framework :: TurboGears :: Applications',
    ],
    test_suite='nose.collector',
    entry_points={
        'console_scripts': [
            'start-uzi = uzi.command:start',
            # See the uzi.command.bootstrap function for details
            'bootstrap-uzi = uzi.command:bootstrap',
        ],
    },
    # Uncomment next line and create a default.cfg file in your project dir
    # if you want to package a default configuration in your egg.
    #data_files = [('config', ['default.cfg'])],
    )
